Bug 1726293 - In a locked template, (only) "Value Type" field is not greyed out
Summary: In a locked template, (only) "Value Type" field is not greyed out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.9.0
Assignee: Marek Hulan
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-02 14:01 UTC by Lukáš Hellebrandt
Modified: 2021-04-21 13:12 UTC (History)
6 users (show)

Fixed In Version: foreman-2.3.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:11:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28214 0 Normal Closed In a locked template, (only) "Value Type" field is not greyed out 2021-01-12 16:54:59 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:12:11 UTC

Description Lukáš Hellebrandt 2019-07-02 14:01:51 UTC
Description of problem:
When a template is locked, I am not able to edit any of its fields in the WebUI and all the fields on the Inputs tab are greyed out, *except* Value Type *and* Resource Type if Value Type is "Search". I see no reason for this inconsistency.

Version-Release number of selected component (if applicable):
Reproduced on Sat 6.6 snap 9

How reproducible:
Deterministic

Steps to Reproduce:
0. Have a Satellite with some locked template with some inputs, at least one of type "Search"
1. Monitor -> Report Templates -> <template> -> Inputs

Actual results:
Most of the fields are greyed out but not Value Type and Resource Type

Expected results:
All the fields should be consistenctly greyed out

Comment 3 Ondřej Pražák 2019-11-07 11:10:53 UTC
Created redmine issue https://projects.theforeman.org/issues/28214 from this bug

Comment 4 Bryan Kearney 2020-02-05 21:05:14 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 Bryan Kearney 2020-02-05 21:05:15 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 Bryan Kearney 2020-11-11 16:02:45 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/28214 has been resolved.

Comment 7 Lukáš Hellebrandt 2021-01-12 17:08:24 UTC
Verified with Sat 6.9 snap 8, the inputs are now greyed out consistently regardless of input when the template is locked.

Comment 10 errata-xmlrpc 2021-04-21 13:11:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.